<?php 
/*  
WysiwygPro v2.2.9 integration for CMSimple version 2.5
WYsiwygPro CMSimple Plug-in v1.01 - April 2006
---------------------------------------------------------------------------
Copyright 2006, ViziMetrics, Inc.  All rights reserved.  Using or accessing the 
WysiwygPro code outside of the CMSsimple application is a violation of our license and copyright!

WYSIWYGPRO INSTALLATION:  This plug-in uses an optimized version of the WysiwygPro Code.  
The included "WP" folder MUST be uploaded into the CMSimple "cmsimple" folder.

    Please Note: A customized version of WysiwygPro is included with "CPanel" 
    on 'nix servers.   DO NOT OVERWRITE any existing "WysiwygPro" folders or files 
    on your server.  Doing so may damage CPanel functionality.

This WysiwygPro plug-in is released under the same terms as your WysiwygPro license.

    WysiwygPro is NOT freeware.  
    WysiwygPro is NOT shareware.  
    WysiwygPro is NOT released under any form of public license.
    To use WysiwygPro with this plug-in, you MUST own a license.  
    Visit www.wysiwygpro.com to purchase.

Please note that we have no control over the future development of CMSimple and we are not in any 
way involved in its development or affiliated with it in any way.  So while these instructions and 
associated code should work correctly with the current CMSimple version at the time of this writing,
this may not be the case for future versions.

REQUIREMENTS:
 A working CMSimple 2.5 installation
 WysiwygPro License
This plug-in includes WysiwygPro version 2.2.9 script and is optimized specifically for this version. Use of
this plug-in with other versions of WysiwygPro may result in an error.
*/
//----------------------------------------------------------------------------------

if (!(@is_dir($pth['folder']['plugins'].'WP'))) e('cntopen','Editor: ','WysiwygPro!');
include_once($pth['folder']['plugins']."WP/config.php"); 
include_once($pth['folder']['plugins']."WP/editor_class.php"); 
ob_start(); 
$editor = new wysiwygPro(); 
$editor->loadmethod('inline');
$editor->set_code($c[$s]);
$editor->set_name('news_story');
$editor->set_savebutton('save');
$editor->usefullurls(true);
$editor->guidelines_visible(false);
$editor->disableimgmngr(false);
$editor->disablebookmarkmngr(false);
$editor->disablelinkmngr(false);
$editor->usep(true);
//$editor->set_baseurl('');
$editor->set_stylesheet($pth['folder']['template'].'stylesheet.css');

$links = array(); 
for ($i=0;$i<=count($u);$i++) {
   array_push($links, array($l[$i],str_replace('./','/',$pth['file']['execute']).'?'.$u[$i],substr($h[$i],0,20)));
}
$editor->set_links($links);
//$editor->set_fontmenu('');  
//$editor->set_sizemenu('');
//$editor->set_classmenu('');
//$editor->set_formatmenu('');
$removeButtons = '';
  //$removeButtons .= 'print,';
  //$removeButtons .= 'find,';
  //$removeButtons .= 'cut,';
  //$removeButtons .= 'copy,';
  //($ud['btn_paste'] ? false : $removeButtons .= 'paste,');
 ($ud['btn_pasteword'] ? false : $removeButtons .= 'pasteword,');
  //($ud['btn_undo'] ? false : $removeButtons .= 'undo,');
  //($ud['btn_redo'] ? false : $removeButtons .= 'redo,');
  //($ud['btn_instable'] ? false : $removeButtons .= 'tbl,');
  //($ud['btn_edittable'] ? false : $removeButtons .= 'edittable,');
  //($ud['btn_image'] ? false : $removeButtons .= 'image,');
  //($ud['btn_smiley'] ? false : $removeButtons .= 'smiley,');
  //($ud['btn_icon_rule'] ? false : $removeButtons .= 'ruler,');
  //($ud['btn_link'] ? false : $removeButtons .= 'link,');
  //($ud['btn_doc_link'] ? false : $removeButtons .= 'document,');
  //($ud['btn_bookmark'] ? false : $removeButtons .= 'bookmark,');
  //($ud['btn_specialchar'] ? false : $removeButtons .= 'special,');
  //($ud['btn_format'] ? false : $removeButtons .= 'format,');
  //($ud['btn_font'] ? false : $removeButtons .= 'font,');
  //($ud['btn_size'] ? false : $removeButtons .= 'size,');
  //($ud['btn_bold'] ? false : $removeButtons .= 'bold,');
  //($ud['btn_italic'] ? false : $removeButtons .= 'italic,');
  //($ud['btn_under'] ? false : $removeButtons .= 'underline,');
  //($ud['btn_left'] ? false : $removeButtons .= 'left,');
  //($ud['btn_center'] ? false : $removeButtons .= 'center,');
  //($ud['btn_right'] ? false : $removeButtons .= 'right,');
  //($ud['btn_justify'] ? false : $removeButtons .= 'full,');
  //($ud['btn_numlist'] ? false : $removeButtons .= 'ol,');
  //($ud['btn_bullist'] ? false : $removeButtons .= 'ul,');
  //($ud['btn_deindent'] ? false : $removeButtons .= 'outdent,');
  //($ud['btn_inindent'] ? false : $removeButtons .= 'indent,');
  //($ud['btn_fontcolor'] ? false : $removeButtons .= 'color,');
  //($ud['btn_bgcolor'] ? false : $removeButtons .= 'highlight,');
  ($ud['btn_spacer1'] ? false : $removeButtons .= 'spacer1,');
  ($ud['btn_spacer2'] ? false : $removeButtons .= 'spacer2,');
  ($ud['btn_spacer3'] ? false : $removeButtons .= 'spacer3,');
  ($ud['btn_spacer4'] ? false : $removeButtons .= 'spacer4,');
  ($ud['btn_spacer5'] ? false : $removeButtons .= 'spacer5,');
  ($ud['btn_spacer6'] ? false : $removeButtons .= 'spacer6,');
  ($ud['btn_spacer7'] ? false : $removeButtons .= 'spacer7,');
  ($ud['btn_spacer8'] ? false : $removeButtons .= 'spacer8,');
$editor->removebuttons($removeButtons);
$eH = 400;
if($cf['editor']['height']!= '') $eH = $cf['editor']['height'];
$wpro = $editor->return_editor('100%', $eH); 
ob_end_flush();

//$o='<form method="post" action="'.$sn.'">'.tag('input type="hidden" name="selected" value="'.$u[$s].'"').tag('input type="hidden" name="function" value="save"').$wpro.'</form>';
?>
